`[` <- function (var, row, col=NULL, drop=TRUE) .Primitive("[")


paste <- function (..., sep = " ", collapse = NULL) .Primitive("paste")

rep <- function (x, ...)  .Primitive("rep")

`%in%` <- function (x, table)  match(x, table, nomatch = 0L) > 0L
match <- function (x, table, nomatch = NA_integer_, incomparables = NULL) .Primitive("match")


#####################################################################
##
unlist <- function (x, recursive = TRUE, use.names = TRUE) {
    if (.Internal(islistfactor(x, recursive))) {
        lv <- unique(.Internal(unlist(lapply(x, levels), recursive, FALSE)))
        nm <- if (use.names) 
            names(.Internal(unlist(x, recursive, use.names)))
        res <- .Internal(unlist(lapply(x, as.character), recursive, 
            FALSE))
        res <- match(res, lv)
        structure(res, levels = lv, names = nm, class = "factor")
    }
    else .Internal(unlist(x, recursive, use.names))
}



#####################################################################
##
replace <- function (x, list, values) 
{
    x[list] <- values
    x
}



#####################################################################
##
cat <- function (..., file = "", sep = " ", fill = FALSE, labels = NULL, append = FALSE) 
{
    if (is.character(file)) 
        if (file == "") 
            file <- stdout()
        else if (substring(file, 1L, 1L) == "|") {
            file <- pipe(substring(file, 2L), "w")
            on.exit(close(file))
        }
        else {
            file <- file(file, ifelse(append, "a", "w"))
            on.exit(close(file))
        }
    .Internal(cat(list(...), file, sep, fill, labels, append))
}




#####################################################################
##
which <- function (x, arr.ind = FALSE, useNames = TRUE)  .Primitive("which")


#####################################################################
##
sort <- function (x, decreasing = FALSE, ...) 
{
    if (!is.logical(decreasing) || length(decreasing) != 1L) 
        stop("'decreasing' must be a length-1 logical vector.\nDid you intend to set 'partial'?")
    UseMethod("sort")
}



